/*
 * Copyright (C) 2002 Roman Zippel <zippel@linux-m68k.org>
 * Released under the terms of the GNU GPL v2.0.
 */

#ifndef ZCONF_H
#define ZCONF_H

#include "expr.h"

#ifdef __cplusplus
extern "C" {
#endif

void symbol_end(char *help);
int zconfparse(void);
void zconfdump(FILE *out);

extern int zconfdebug;
void zconf_starthelp(void);
void zconf_initscan(const char *name);
void zconf_nextfile(const char *name);
int zconf_lineno(void);
char *zconf_curname(void);

struct symbol *lookup_symbol(char *name, int isconst);
struct symbol *alloc_symbol(char *name);

void conf_parse(const char *name);
int conf_read(const char *name);
int conf_write(const char *name);

extern const char conf_def_filename[];
extern char conf_filename[128];

#ifdef __cplusplus
}
#endif

#endif /* ZCONF_H */
